import java.applet.Applet;
import java.awt.Color;
import java.awt.Component;
import java.awt.Font;
import java.awt.Image;
import java.awt.MediaTracker;
import java.awt.image.CropImageFilter;
import java.awt.image.FilteredImageSource;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.StringTokenizer;

public final class AppletParam2 {
   public static final Font GetJavaFont(String var0) {
      String var1 = "TimesRoman";
      int var2 = 12;
      int var3 = 0;
      if (var0 != null) {
         StringTokenizer var4 = new StringTokenizer(var0, ",");
         if (var4.hasMoreTokens()) {
            var1 = var4.nextToken();
         }

         if (var4.hasMoreTokens()) {
            var2 = Integer.parseInt(var4.nextToken());
         }

         if (var4.hasMoreTokens()) {
            int var5 = Integer.parseInt(var4.nextToken());
            if ((var5 & 1) != 0) {
               ++var3;
            }

            if ((var5 & 2) != 0) {
               var3 += 2;
            }
         }
      }

      return new Font(var1, var3, var2);
   }

   public static final int GetInt(String var0, int var1) {
      try {
         if (var0 != null) {
            StringTokenizer var2 = new StringTokenizer(var0, ",");
            if (var2.hasMoreTokens()) {
               int var3 = Integer.parseInt(var2.nextToken());
               return var3;
            }
         }

         return var1;
      } catch (Exception var4) {
         return var1;
      }
   }

   public static final boolean GetBoolean(String var0, boolean var1) {
      try {
         if (var0 != null) {
            StringTokenizer var2 = new StringTokenizer(var0, ",");
            if (var2.hasMoreTokens()) {
               int var3 = Integer.parseInt(var2.nextToken());
               if (var3 == 0) {
                  return false;
               }

               return true;
            }
         }

         return var1;
      } catch (Exception var4) {
         return var1;
      }
   }

   public static final Color GetColor(String var0, Color var1) {
      try {
         if (var0 == null) {
            return var1 != null ? new Color(var1.getRGB()) : null;
         } else {
            int[] var2 = new int[]{0, 0, 0};
            StringTokenizer var3 = new StringTokenizer(var0, ",");

            for(int var4 = 0; var3.hasMoreTokens() && var4 < 3; ++var4) {
               var2[var4] = Integer.parseInt(var3.nextToken());
            }

            return new Color(var2[0], var2[1], var2[2]);
         }
      } catch (Exception var5) {
         return var1 != null ? new Color(var1.getRGB()) : null;
      }
   }

   public static final Image GetImage(Applet var0, String var1) {
      Image var2 = null;
      if (var1 != null) {
         var2 = var0.getImage(var0.getCodeBase(), var1);
      }

      return var2;
   }

   public static final Image[] GetImageStrip(Applet var0, String var1, int var2) {
      Image[] var3 = null;
      MediaTracker var4 = new MediaTracker(var0);

      try {
         Image var5 = var0.getImage(var0.getCodeBase(), var1);
         var4.addImage(var5, 0);
         var4.waitForAll();
         int var6 = var5.getWidth(var0) / var2;
         var3 = new Image[var6];
         int var7 = var5.getHeight(var0);

         for(int var8 = 0; var8 < var6; ++var8) {
            CropImageFilter var9 = new CropImageFilter(var8 * var2, 0, var2, var7);
            var3[var8] = ((Component)var0).createImage(new FilteredImageSource(var5.getSource(), var9));
         }
      } catch (InterruptedException var10) {
      }

      return var3;
   }

   public static final Image[] GetImageList(Applet var0, String var1) {
      Object var2 = null;
      String var3 = "";
      StringTokenizer var4 = new StringTokenizer(var1, ",");
      Image[] var6 = new Image[var4.countTokens()];
      new MediaTracker(var0);

      for(int var5 = 0; var5 < var6.length; ++var5) {
         var3 = var4.nextToken();
         var6[var5] = var0.getImage(var0.getCodeBase(), var3);
      }

      return var6;
   }

   public static final String GetString(String var0, String var1) {
      return var0 != null ? var0 : var1;
   }

   public static final URL[] GetURLList(String var0) {
      Object var1 = null;
      StringTokenizer var2 = new StringTokenizer(var0, ",");
      URL[] var5 = new URL[var2.countTokens()];

      for(int var3 = 0; var3 < var5.length; ++var3) {
         try {
            var5[var3] = new URL(var2.nextToken());
         } catch (MalformedURLException var4) {
         }
      }

      return var5;
   }
}
