import java.awt.Component;

public abstract class DynamicBorderPanel2 extends BorderPanel2 implements Runnable {
   Thread theThread;
   int sleepTime = 250;

   public void SetSleepTime(int var1) {
      this.sleepTime = var1;
   }

   public void Start() {
      this.theThread = new Thread(this);
      this.theThread.start();
   }

   public void Stop() {
      this.theThread.stop();
   }

   public void run() {
      while(true) {
         try {
            ((Component)this).repaint();
            Thread.sleep((long)this.sleepTime);
         } catch (InterruptedException var1) {
         }
      }
   }
}
