import java.applet.Applet;
import java.awt.Canvas;
import java.awt.Color;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Image;
import java.net.InetAddress;
import java.net.UnknownHostException;

public class HelloCanvas2 extends Canvas {
   Image osImage;
   Graphics osg;
   Color bkColor;
   Image bkImage;
   InetAddress address;
   Font font;
   // $FF: renamed from: fm java.awt.FontMetrics
   FontMetrics field_0;
   Color textColor;

   public HelloCanvas2(Applet var1, int var2) {
      this.GetParameters(var1, var2);

      try {
         this.address = InetAddress.getLocalHost();
      } catch (UnknownHostException var3) {
      }
   }

   void GetParameters(Applet var1, int var2) {
      String var3 = var1.getParameter("helloBkColor" + var2);
      this.bkColor = AppletParam2.GetColor(var3, (Color)null);
      if (this.bkColor != null) {
         ((Component)this).setBackground(this.bkColor);
      }

      var3 = var1.getParameter("helloBkImage" + var2);
      this.bkImage = var1.getImage(var1.getCodeBase(), var3);
      var3 = var1.getParameter("helloFont" + var2);
      this.font = AppletParam2.GetJavaFont(var3);
      this.field_0 = ((Component)this).getFontMetrics(this.font);
      var3 = var1.getParameter("helloColor" + var2);
      this.textColor = AppletParam2.GetColor(var3, Color.black);
   }

   public void paint(Graphics var1) {
      this.update(var1);
   }

   public void update(Graphics var1) {
      if (this.osImage == null) {
         this.osImage = ((Component)this).createImage(((Component)this).size().width, ((Component)this).size().height);
         this.osg = this.osImage.getGraphics();
      }

      this.osg.setColor(((Component)this).getBackground());
      this.osg.fillRect(0, 0, ((Component)this).size().width, ((Component)this).size().height);
      if (this.bkImage != null) {
         int var2 = this.bkImage.getWidth(this);
         int var3 = this.bkImage.getHeight(this);
         int var4 = ((Component)this).size().width / var2;
         int var5 = ((Component)this).size().height / var3;
         ++var4;
         ++var5;

         for(int var6 = 0; var6 < var5; ++var6) {
            for(int var7 = 0; var7 < var4; ++var7) {
               this.osg.drawImage(this.bkImage, var7 * var2, var6 * var3, this);
            }
         }
      }

      this.osg.setFont(this.font);
      this.osg.setColor(this.textColor);
      String var8 = "Welcome " + this.address.getHostName() + "!";
      int var9 = ((Component)this).size().width / 2 - this.field_0.stringWidth(var8) / 2;
      int var11 = ((Component)this).size().height / 2 + this.field_0.getAscent() / 2;
      this.osg.drawString(var8, var9, var11);
      var1.drawImage(this.osImage, 0, 0, this);
   }

   public Dimension minimumSize() {
      return new Dimension(10, 10);
   }

   public Dimension preferredSize() {
      return new Dimension(10, 10);
   }

   public synchronized void reshape(int var1, int var2, int var3, int var4) {
      super.reshape(var1, var2, var3, var4);
      this.osImage = null;
      this.osg = null;
   }

   public boolean imageUpdate(Image var1, int var2, int var3, int var4, int var5, int var6) {
      ((Component)this).repaint();
      return true;
   }
}
