import java.applet.Applet;
import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.ImageObserver;

public class LoweredLevelBorderPanel2 extends StaticBorderPanel2 {
   Image osImage;
   Graphics osg;

   void GetParameters(Applet var1, int var2) {
      String var3 = var1.getParameter("loweredLevelBorderThickness" + var2);
      ((BorderPanel2)this).SetThickness(AppletParam2.GetInt(var3, 5));
      var3 = var1.getParameter("loweredLevelBorderBkColor" + var2);
      ((BorderPanel2)this).SetBackgroundColor(AppletParam2.GetColor(var3, (Color)null));
      var3 = var1.getParameter("loweredLevelBorderBkImage" + var2);
      ((BorderPanel2)this).SetBackgroundImage(AppletParam2.GetImage(var1, var3));
   }

   public LoweredLevelBorderPanel2(Applet var1, int var2) {
      this.GetParameters(var1, var2);
   }

   void DoPaint(Graphics var1) {
      if (this.osImage == null) {
         this.osImage = ((Component)this).createImage(((Component)this).size().width, ((Component)this).size().height);
         this.osg = this.osImage.getGraphics();
      }

      this.osg.setColor(Color.lightGray);
      this.osg.fillRect(0, 0, ((Component)this).size().width, ((Component)this).size().height);
      this.osg.setColor(Color.black);
      this.osg.drawLine(0, 0, ((Component)this).size().width, 0);
      this.osg.drawLine(0, 0, 0, ((Component)this).size().height);
      this.osg.setColor(Color.gray);
      this.osg.drawLine(1, 1, ((Component)this).size().width - 2, 1);
      this.osg.drawLine(1, 1, 1, ((Component)this).size().height - 2);
      this.osg.setColor(Color.white);
      this.osg.drawLine(1, ((Component)this).size().height - 1, ((Component)this).size().width - 1, ((Component)this).size().height - 1);
      this.osg.drawLine(((Component)this).size().width - 1, ((Component)this).size().height - 1, ((Component)this).size().width - 1, 1);
      var1.drawImage(this.osImage, 0, 0, (ImageObserver)null);
   }

   void DoResize(int var1, int var2) {
      this.osImage = null;
      this.osg = null;
   }
}
