import java.applet.Applet;
import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.ImageObserver;

public class RaisedBorderPanel2 extends StaticBorderPanel2 {
   Image osImage;
   Graphics osg;

   void GetParameters(Applet var1, int var2) {
      String var3 = var1.getParameter("raisedBorderThickness" + var2);
      ((BorderPanel2)this).SetThickness(AppletParam2.GetInt(var3, 5));
      var3 = var1.getParameter("raisedBorderBkColor" + var2);
      ((BorderPanel2)this).SetBackgroundColor(AppletParam2.GetColor(var3, (Color)null));
      var3 = var1.getParameter("raisedBorderBkImage" + var2);
      ((BorderPanel2)this).SetBackgroundImage(AppletParam2.GetImage(var1, var3));
   }

   public RaisedBorderPanel2(Applet var1, int var2) {
      this.GetParameters(var1, var2);
   }

   void DoPaint(Graphics var1) {
      if (this.osImage == null) {
         this.osImage = ((Component)this).createImage(((Component)this).size().width, ((Component)this).size().height);
         this.osg = this.osImage.getGraphics();
      }

      this.osg.setColor(Color.lightGray);
      this.osg.fillRect(0, 0, ((Component)this).size().width, ((Component)this).size().height);
      this.osg.setColor(Color.black);
      this.osg.drawRect(0, 0, ((Component)this).size().width - 1, ((Component)this).size().height - 1);
      this.osg.setColor(Color.lightGray);
      this.osg.fill3DRect(1, 1, ((Component)this).size().width - 2, ((Component)this).size().height - 2, true);
      Graphics var10000 = this.osg;
      int var10001 = super.thickness - 2;
      int var10002 = super.thickness - 2;
      int var10004 = super.thickness - 2;
      int var10003 = ((Component)this).size().width - var10004 * 2;
      int var10005 = super.thickness - 2;
      var10000.fill3DRect(var10001, var10002, var10003, ((Component)this).size().height - var10005 * 2, false);
      this.osg.fillRect(super.thickness - 1, super.thickness - 1, ((Component)this).size().width - 2 * super.thickness, ((Component)this).size().height - 2 * super.thickness);
      this.osg.setColor(Color.black);
      this.osg.drawRect(super.thickness - 1, super.thickness - 1, ((Component)this).size().width - 2 * super.thickness, ((Component)this).size().height - 2 * super.thickness);
      var1.drawImage(this.osImage, 0, 0, (ImageObserver)null);
   }

   void DoResize(int var1, int var2) {
      this.osImage = null;
      this.osg = null;
   }
}
